/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
export declare enum ExecutionResult {
    EXECUTION_RESULT_SUCCESS = "SUCCESS",
    EXECUTION_RESULT_ERROR_SMART_CONTRACT = "ERROR_SMART_CONTRACT",
    EXECUTION_RESULT_ERROR_INPUT = "ERROR_INPUT",
    EXECUTION_RESULT_ERROR_CONTRACT_NOT_DEPLOYED = "ERROR_CONTRACT_NOT_DEPLOYED",
    EXECUTION_RESULT_ERROR_UNEXPECTED = "ERROR_UNEXPECTED",
    EXECUTION_RESULT_NOT_EXECUTED = "NOT_EXECUTED"
}
export declare function executionResultDecode(executionResult: number): ExecutionResult;
