/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
export declare const ED25519_PUBLIC_KEY_SIZE_BYTES = 32;
export declare const ED25519_PRIVATE_KEY_SIZE_BYTES = 64;
export interface Ed25519KeyPair {
    publicKey: Uint8Array;
    privateKey: Uint8Array;
}
export declare function generateEd25519Key(): Ed25519KeyPair;
