/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
export declare const ED25519_SIGNATURE_SIZE_BYTES = 64;
export declare function signEd25519(privateKey: Uint8Array, data: Uint8Array): Uint8Array;
export declare function verifyEd25519(publicKey: Uint8Array, data: Uint8Array, signature: Uint8Array): boolean;
