/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
export interface Account {
    publicKey: Uint8Array;
    privateKey: Uint8Array;
    address: string;
}
export declare function createAccount(): Account;
export declare function addressToBytes(address: string): Uint8Array;
export declare function bytesToAddress(rawAddress: Uint8Array): string;
