/**
 * Copyright 2019 the orbs-client-sdk-javascript authors
 * This file is part of the orbs-client-sdk-javascript library in the Orbs project.
 *
 * This source code is licensed under the MIT license found in the LICENSE file in the root directory of this source tree.
 * The above notice should be included in all copies or substantial portions of the software.
 */
import { Argument } from "./Arguments";
export interface Event {
    contractName: string;
    eventName: string;
    arguments: Argument[];
}
export declare function packedEventsDecode(buf: Uint8Array): Event[];
